This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473958 - (CVE-2008-5078) CVE-2008-5078 enscript: "epsf" special escape buffer overflows
CVE-2008-5078 enscript: "epsf" special escape buffer overflows
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20081201,publi...
: Security
Depends On: 473089 473090 473091 473093
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 11:21 EST by Tomas Hoger
Modified: 2009-02-20 06:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 12:39:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for enscript 1.6.1 for CVE-2008-3863, CVE-2008-4306 and CVE-2008-5078 (7.95 KB, patch)
2008-12-01 11:29 EST, Tomas Hoger
no flags Details | Diff
Improved patch (8.37 KB, patch)
2008-12-04 10:51 EST, Adam Tkac
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-12-01 11:21:50 EST
While preparing updates for CVE-2008-3863 and CVE-2008-4306, we have discovered that enscript 1.6.1 (and possibly earlier versions) is affected by similar flaws affecting handling of epsf special escape.

Long file name specified as an argument for epsf special escape can cause buffer overflow in recognize_eps_file() in src/psgen.c, or in tilde_subst() in src/util.c due to unsafe use of strcpy or sprintf.

Identified flaws do not affect enscript 1.6.4.
Comment 1 Tomas Hoger 2008-12-01 11:29:05 EST
Created attachment 325251 [details]
Patch for enscript 1.6.1 for CVE-2008-3863, CVE-2008-4306 and CVE-2008-5078

It also prevents few command line arguments parsing overflow, but those are not security flaws (no trust boundary crossed).
Comment 3 Adam Tkac 2008-12-04 10:51:14 EST
Created attachment 325695 [details]
Improved patch
Comment 4 Tomas Hoger 2008-12-15 08:39:11 EST
Lifting embargo.
Comment 5 Red Hat Product Security 2008-12-19 12:39:29 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-1021.html
Comment 6 Marcus Meissner 2009-02-20 05:58:00 EST
reading the manpage ... why not just pipe a shell command in @epsf{reboot|} ... 

fixing just the buffer overflow is a bit stupid ;)
Comment 7 Tomas Hoger 2009-02-20 06:14:32 EST
(In reply to comment #6)
> reading the manpage ... why not just pipe a shell command in @epsf{reboot|} ... 

Because that is denied for quite a long time, at least in all RHEL and Fedora packages:
http://cvs.fedoraproject.org/viewvc/rpms/enscript/devel/enscript-1.6.1-CAN-2004-1185.patch?view=markup

Note You need to log in before you can comment on or make changes to this bug.